------------------------------------------------------------------------------------
--Name：            220622[简体征服][活动脚本]全球七夕活动-主NPC
--Creator:      陈莺
--Created:     2022-06-22
------------------------------------------------------------------------------------

--/callluafunc </F>User_PlayPlot</N>286
--addScene
--addcustom
CppScriptMgr:SetViewPosByCell(450,679)
local Player_1=CppScriptMgr:AddSimplePlayer(1055770,453,678,"Weaver Girl",0,0)
Player_1:SetZoomPercent(150)
local Player_2=CppScriptMgr:AddSimplePlayer(1055786,449,680,"[God of Sun`s Child] Orphee",0,0)
Player_2:SetZoomPercent(150)
local Player_3=CppScriptMgr:AddSimplePlayer(1062490,444,588,"[Orphee`s Beloved] Eurydice",0,0)
Player_3:SetZoomPercent(150)
local Effect_1=CppScriptMgr:AddEffect("100wp_wqbhwl",458,683,33)
Effect_1:Scale(2,2,2)
local Effect_2=CppScriptMgr:AddEffect("100wp_xuanzhong",458,683,33)
Effect_2:Scale(2,2,2)
local Effect_3=CppScriptMgr:AddEffect("_p_5_8142",438,667,33)
Effect_3:Scale(3,3,3)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetAction(160)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("You just ruined my magpie bridge! Who the hell are you?",1000)
CppScriptMgr:NpcCallOut("You just ruined my magpie bridge! Who the hell are you?",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(1000)
Player_2:Say("I don`t know why I`m here, I just want my wife back...",1000)
CppScriptMgr:NpcCallOut("I don`t know why I`m here, I just want my wife back...",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("Such a sentimental man... Let me check out his memories.",1000)
CppScriptMgr:NpcCallOut("Such a sentimental man... Let me check out his memories.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetLightScreen(1000)
CppScriptMgr:SetViewPosByCell(442,588)
local Effect_4=CppScriptMgr:AddEffect("red-flower-full",424,587,33)
local Effect_7=CppScriptMgr:AddEffect("777_getbonus",444,590,33)
Effect_7:Scale(2,2,2)
Player_2:SetPos(441,590)
CppScriptMgr:WaitMilSec(1000)
local Effect_8=CppScriptMgr:AddEffect("777_getbonus",444,590,33)
Effect_8:Scale(2,2,2)
Player_2:SetAction(101)
Player_2:Say("I will love you faithfully, for better, for worse, and I`ll always be there for you.",1000)
CppScriptMgr:NpcCallOut("I will love you faithfully, for better, for worse, and I`ll always be there for you.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(2000)
local Effect_9=CppScriptMgr:AddEffect("777_getbonus",444,590,33)
Effect_9:Scale(2,2,2)
Player_3:SetAction(101)
Player_3:Say("I will trust you, respect you, laugh with you and cry with you forever.",1000)
CppScriptMgr:NpcCallOut("I will trust you, respect you, laugh with you and cry with you forever.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npcQiXiOldk",150,430,"Eurydice",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetLightScreen(1000)
CppScriptMgr:SetViewPosByCell(346,815)
local Player_4=CppScriptMgr:AddSimplePlayer(1055780,346,805,"[God of Sun`s Child] Orphee",0,0)
local Player_5=CppScriptMgr:AddSimplePlayer(1062496,346,818,"[Orphee`s Beloved] Eurydice",0,0)
local Effect_11=CppScriptMgr:AddEffect("_p_24_2022qx2_close",341,817,33)
Effect_11:Scale(1.5,1.5,1.5)
local Effect_12=CppScriptMgr:AddEffect("ouzhoucup_coat",341,817,33)
local Effect_6=CppScriptMgr:AddEffect("100wp_xuanzhong",346,818,33)
local Effect_5=CppScriptMgr:AddEffect("195170",346,818,33)
Player_5:SetAction(271)
Player_5:SetFrameInterval(10000)
Player_4:SetZoomPercent(150)
Player_5:SetZoomPercent(150)
Player_4:RunTo(346,816)
Player_4:Say("No! Don`t leave me!",1000)
CppScriptMgr:NpcCallOut("No! Don`t leave me!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_5:AddEffect("zf2-e236-Boos",33)
CppScriptMgr:WaitMilSec(1000)
Player_3:SetHide(1)
Player_5:SetHide(1)
CppScriptMgr:ClearEffect(Effect_5)
CppScriptMgr:ClearEffect(Effect_6)
CppScriptMgr:ClearEffect(Effect_12)
local Effect_10=CppScriptMgr:AddEffect("shuang_black",346,818,33)
CppScriptMgr:WaitMilSec(1000)
Player_4:SetAction(170)
CppScriptMgr:WaitMilSec(1000)
Player_4:Say("What can I do to wake her up?",1000)
CppScriptMgr:NpcCallOut("What can I do to wake her up?",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_4:SetAction(170)
Player_4:Say("The gold harp, you`ve lost your luster, too?",1000)
CppScriptMgr:NpcCallOut("The gold harp, you`ve lost your luster, too?",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_4:Say("Isn`t there a way to keep my wife here with me?",1000)
CppScriptMgr:NpcCallOut("Isn`t there a way to keep my wife here with me?",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)
